Page MenuHomePhabricator

FileImporter's CSRF error message is incomprehensible to the average user
Closed, ResolvedPublic1 Estimated Story Points

Description

fileimporter-badtoken (shown when you spend too much time before initating an action, and the session times out) currently reads as "CSRF token does not match", which is not exactly helpful. Compare with, say, visualeditor-savedialog-error-badtoken ("We could not save your edit because the session was no longer valid.") although an even better error message would also suggest next steps.

Event Timeline

Tgr created this task.Mar 16 2020, 1:21 PM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptMar 16 2020, 1:21 PM

Change 598561 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/FileImporter@master] Improve edittoken mismatch error message

https://gerrit.wikimedia.org/r/598561

thiemowmde moved this task from Backlog to Tickets in sprint on the Move-Files-To-Commons board.
thiemowmde set the point value for this task to 1.
thiemowmde moved this task from Sprint Backlog to Demo on the WMDE-QWERTY-Sprint-2020-05-13 board.

Change 598561 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Improve edittoken mismatch error message

https://gerrit.wikimedia.org/r/598561

thiemowmde closed this task as Resolved.May 26 2020, 11:54 AM
thiemowmde moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-05-13 board.